+ Post New Thread
Page 3 of 607 FirstFirst 1 2 3 4 5 13 53 103 503 ... LastLast
Threads 51 to 75 of 15153

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 58,207
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 60,129
    18th Sep 2006 10:46 pm Go to last post
  1. Would this be possible with lisp?

    Hello all, I got an idea for a PLOT function, but i'd like to know if it would be possible to make in LISP or not... I'd like to have a command, that opens a pop-up (DCL), wich shows a list of...

    Started by Aftertouch‎, 15th Mar 2017 10:43 am
    • Replies: 3
    • Views: 201
    16th Mar 2017 03:01 am Go to last post
  2. vplayer freeze by lisp if another layer is frozen

    I have already created a lisp that verify if a layer is frozen. If true, an other layer is frozen too. (if (= (vla-get-Freeze layer1) :vlax-true) (command "VPlayer" "FREEZE" "layer2" "" "")) How...

    Started by pmayer‎, 15th Feb 2017 09:52 pm
    vplayers
    • Replies: 5
    • Views: 376
    15th Mar 2017 08:01 pm Go to last post
  3. Moving Text Block to adjacent point

    I use a very useful LISP by Pedro Ferreira called PMSFptwtxt which places a 3D point at the insertion point of a text string. It's great for processing point surveys which have been flattened, thus...

    Started by archipelag0‎, 15th Mar 2012 12:44 pm
    • Replies: 8
    • Views: 3,069
    15th Mar 2017 07:07 pm Go to last post
  4. replace an object (rectangle) with a named block and keep the hyperlink

    How to Replace an object (rectangle) with a named block and keep the hyperlink. Can it be done bij lisp? Jaap

    Started by Jaap Marchal‎, 9th Dec 2010 07:11 pm
    2 Pages
    1 2
    • Replies: 18
    • Views: 4,906
    15th Mar 2017 05:17 pm Go to last post
  5. Question Cleating lisp

    Hey Everyone, Wanted to know if there was a lisp routine that would draw a rectangle and then make lines that connect the inside corners to make an "X" on the inside of the rectangle. Thanks...

    Started by JoeyG_77‎, 7th Mar 2017 04:25 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 385
    15th Mar 2017 04:06 pm Go to last post
  6. get TEXT content????

    how do i get the TEXT content and put it as elevation on objects i'll be slecting? (defun c:q1 (/ txt1 q1 ss) (setq ss (ssget "_C" '((0 . "*TEXT")))) (cdr (assoc 1 (entget (ssname ss (setq...

    Started by ktbjx‎, 14th Mar 2017 12:28 pm
    • Replies: 8
    • Views: 268
    15th Mar 2017 01:47 pm Go to last post
  7. Nudge affected by LISPs/ACADDOC.lsp

    Before Christmas I introduced several lisps to my company workstations. To do this, I created an ACADDOC.lsp to load the applications from my server. This worked like a charm and I have no issues...

    Started by Clifford169‎, 19th Jan 2017 05:13 pm
    • Replies: 8
    • Views: 477
    15th Mar 2017 10:56 am Go to last post
  8. Shortcut to ()

    Hello to all It is very hard every time to press shift+) to write "(" or ")" so my question is there short way to write (). With out press shift! When we press key "0" to write ")" ?!

    Started by vlisp‎, 14th Mar 2017 08:10 am
    • Replies: 4
    • Views: 260
    15th Mar 2017 08:46 am Go to last post
  9. AutoLisp Dim Command

    I type the following command: (command "dim" "scale" "0.06" ""). AutoCAD accepts the command and tells me I must input "exit" to exit the command. I do this on the command line and it works fine,...

    Started by Nick1940‎, 14th Mar 2017 03:27 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 288
    15th Mar 2017 07:08 am Go to last post
  10. Unhappy Dwg to pdf

    hi guys, I have found a desired lisp routine to convert DWG TO PDF after long googling and made little changes to suit my requirement. Here problem is this routine converts each DWG at a time but...

    Started by naren‎, 14th Mar 2017 07:02 am
    2 Pages
    1 2
    dwg to pdf
    • Replies: 12
    • Views: 447
    15th Mar 2017 02:50 am Go to last post
  11. linetype scale issue

    hi guys, i have been looking for a solution to a linetype scale issue i have: i have a double barrier line marking layer (centre of roads) that has a linetype of a double line (crudely...

    Started by jt6572‎, 14th Mar 2017 06:08 am
    • Replies: 6
    • Views: 193
    15th Mar 2017 01:20 am Go to last post
  12. Question Detach Specific Xref

    Is there a lisp routine I can use to detach a specific xref. Example: PE seal on all drawings to be removed.

    Started by cmchadwick‎, 14th Mar 2017 08:38 pm
    • Replies: 1
    • Views: 110
    14th Mar 2017 09:00 pm Go to last post
  13. Smile About changing dimension and font style

    Hi, I am new to this forum and just start learning autolisp. I am converting revit to autocad dwg format, but in the dwg I found that there are many duplicated dimension and font style...now my...

    Started by newshunhk‎, 14th Mar 2017 08:25 am
    revit
    • Replies: 1
    • Views: 128
    14th Mar 2017 03:24 pm Go to last post
  14. Scan selected once and incrementally

    hello everybody! i want Scan selected once and incrementally Hope everybody help please i sent a photo. thank everybody

    Started by thanhdattdk‎, 11th Mar 2017 03:36 am
    • Replies: 5
    • Views: 318
    14th Mar 2017 01:54 pm Go to last post
  15. LAyer Director => XREF only

    Hey everybody, I found Lee Mac's Layer director on his website. This allows me use force an XREF to a specific layer. It is very close to whati am looking for but.... - I just want all Xrefs...

    Started by Aftertouch‎, 13th Mar 2017 04:39 pm
    • Replies: 4
    • Views: 227
    14th Mar 2017 10:19 am Go to last post
  16. Rotate Text lisp

    Hello Everyone, Is it possible to write a lisp to mimic the Torient express tool behavior ... I have a multiple texts and Mtexts in my drawing and i want to rotate them all to be in the most...

    Started by warlock-993‎, 10th Mar 2017 05:05 pm
    • Replies: 1
    • Views: 198
    14th Mar 2017 06:59 am Go to last post
  17. Embarrassed Drawing a line using Azimuth

    One of the survey bosses here is asking me for a quick Lisp to draw a line using azimuth. He wants to do it with just one command instead of using the drop down inside the line toolbar. So I...

    Started by Silvercloak‎, 13th Mar 2017 07:36 pm
    • Replies: 7
    • Views: 214
    13th Mar 2017 10:23 pm Go to last post
  18. copy elevation of the nearest polyline

    is there a lisp routine to make it easier? because i am doing it by hand and its too time consuming.. is there a way to copy the elevation of the nearest polyline and make it the elevation of the...

    Started by ktbjx‎, 13th Mar 2017 09:50 am
    • Replies: 4
    • Views: 195
    13th Mar 2017 09:07 pm Go to last post
  19. Copy or Swap Text

    As posted over at theSwamp, I thought I'd post it here for you guys also :) CopyText.lsp The program will allow a user to copy the text content from a source object to a selection of...

    Started by Lee Mac‎, 5th Jan 2011 02:39 pm
    3 Pages
    1 2 3
    • Replies: 29
    • Views: 5,473
    13th Mar 2017 08:17 pm Go to last post
  20. long section cross section

    In the attached drawing, my senior draws long section & cross section by a lisp program. Anyone have that program??? help will be really appreciated:)

    Started by Speedster‎, 12th Mar 2017 06:51 am
    • Replies: 2
    • Views: 239
    13th Mar 2017 01:45 pm Go to last post
  21. making a bom list from blocks with attributes

    Edit: Watched this http://www.youtube.com/watch?v=QLGoxHMg8Zw at first I didn't want to go to excel but after watching that....it changed my mind a bit. I am working on a project for...

    Started by CADkitt‎, 16th Nov 2010 02:55 pm
    • Replies: 1
    • Views: 3,920
    13th Mar 2017 08:21 am Go to last post
  22. Dimension intersection

    I need a routine to scale the intersection of several lines. Can someone help me?

    Started by antistar‎, 30th Jun 2010 01:48 pm
    5 Pages
    1 2 3 ... 5
    • Replies: 40
    • Views: 7,448
    13th Mar 2017 08:18 am Go to last post
  23. AutoLisp to zoom, extend, purge, set line weights and save

    Hi everyone, im kinda new in Autolisp function and im trying to find/figure a routine that zoom extends, purges the drawing, set all line weights to default and quick save the file, if anyone already...

    Started by lalcalac‎, 5th Mar 2017 08:58 pm
    2 Pages
    1 2
    • Replies: 19
    • Views: 717
    13th Mar 2017 08:04 am Go to last post
  24. Smile Insert a block at multiple points or lines and scale

    G'day all I'm working on and editing a mapping project from photogrammetry. I have a block which indicates a square manhole cover. (File is attached to this post) My project area has...

    Started by grouch19‎, 6th Mar 2017 02:32 am
    3 Pages
    1 2 3
    • Replies: 21
    • Views: 712
    12th Mar 2017 09:40 pm Go to last post
  25. Selection of blocks using two attribute values and then sum of third attribute

    Hello Everyone, I am a novice in lisp and cannot figure out how to tweak the lisp to get the desired results , so i need your help to get this working I am attaching a dwg file with the blocks...

    Started by osho327‎, 10th Mar 2017 05:07 pm
    • Replies: 7
    • Views: 263
    12th Mar 2017 06:17 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts